Package net.postgis.jdbc

# Class PGbox2d

java.lang.Object
org.postgresql.util.PGobject
net.postgis.jdbc.PGboxbase
net.postgis.jdbc.PGbox2d

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class PGbox2d extends PGboxbase

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class net.postgis.jdbc.PGboxbase

`llb, urt`

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

## Constructor Summary

Constructors
Constructor
Description
`PGbox2d()`
`PGbox2d(String value)`
`PGbox2d(Point llb, Point urt)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPGtype()`
The Postgres type we have (same construct as getPrefix())
`String`
`getPrefix()`
The Prefix we have in WKT rep.
`protected PGboxbase`
`newInstance()`
Obtain a new instance of a PGboxbase We could have used this.getClass().newInstance() here, but this forces us dealing with InstantiationException and IllegalAccessException.
`void`
`setValue(String value)`

### Methods inherited from class net.postgis.jdbc.PGboxbase

`clone, compareLazyDim, equals, getLLB, getURT, getValue, toString`

### Methods inherited from class org.postgresql.util.PGobject

`equals, getType, hashCode, isNull, setType`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PGbox2d

public PGbox2d()

### PGbox2d

public PGbox2d(Point llb, Point urt)

### PGbox2d

public PGbox2d(String value) throws SQLException

Throws:
  `SQLException`

## Method Details

### setValue

public void setValue(String value) throws SQLException

Overrides:
  `setValue` in class `PGboxbase`
Throws:
  `SQLException`

### getPrefix

public String getPrefix()
Description copied from class: `PGboxbase`
The Prefix we have in WKT rep. I use an abstract method here so we do not need to replicate the String object in every instance.

Specified by:
  `getPrefix` in class `PGboxbase`
Returns:
  the prefix, as a string

### getPGtype

public String getPGtype()
Description copied from class: `PGboxbase`
The Postgres type we have (same construct as getPrefix())

Specified by:
  `getPGtype` in class `PGboxbase`
Returns:
  String containing the name of the type for this box.

### newInstance

protected PGboxbase newInstance()
Description copied from class: `PGboxbase`
Obtain a new instance of a PGboxbase We could have used this.getClass().newInstance() here, but this forces us dealing with InstantiationException and IllegalAccessException. Due to the PGObject.clone() brokennes that does not allow clone() to throw CloneNotSupportedException, we cannot even pass this exceptions down to callers in a sane way.

Specified by:
  `newInstance` in class `PGboxbase`
Returns:
  a new instance of PGboxbase